QGIS Application - Feature request #14367
Define a default name of the unique integer column for PostGIS layer
2016-02-23 09:52 PM - Mathieu Bossaert

Status: Open

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 22350
Description

Good morning to everyone,

When we want to load a table or a view without an integer primary key, we generally use the same name for such a column (id, gid,
rank...)

We could specify this column name in the settings. If the table does not have an integer primary key, QGIS could use the named column.
At last, if this column doesn't exists, the user stil can chose the right one.

Mathieu

History

#1 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-08 01:35 PM - Jiirgen Fischer
- Assignee deleted (Jiirgen Fischer)
